package com.coherentlogic.fred.client.db.integration.dao;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.coherentlogic.fred.client.core.domain.Releases;

/**
 * Data access pattern implementation for {@link Releases} objects.
 *
 * @author <a href="mailto:support@coherentlogic.com">Support</a>
 */
@Component(value="releasesDAO")
@Transactional
public class ReleasesDAO extends DefaultDAO<Releases> {

    @Override
    public Releases find(long primaryKey) {
        return find(Releases.class, primaryKey);
    }
}
